////////////////////////////////////////////////////////
//	VMHepLibTests.cpp
//	Author: V.Makarenko (Vladimir.Makarenko@cern.ch)
////////////////////////////////////////////////////////
#include <math.h>
#include <iostream>
#include <fstream>

#include "VMLib/include/vmlib.h"
#ifdef VM_HEP_LIB_FULL

//////////////////////////////////////////////////////////////////////////////////////	CVMHepLibTests
bool CVMHepLibTests::TestPythia() {
#ifdef VM_USE_PYTHIA8

	std::cout<<"VMHepLibTests::TestPythia()"<<std::endl;
	//Py: CAlHepLib::pythia

#else //#ifdef VM_USE_PYTHIA8
	std::cerr<<"VMHepLibTests::TestPythia() error: NO PYTHIA LINKED"<<std::endl;
#endif //#ifdef VM_USE_PYTHIA8
	return true;
}

bool CVMHepLibTests::TestGenerator() {
	bool bRes=true;
	if(bRes){ bRes=CVMGenTest::IntegrateCircle(2,0.00001); }
	if(bRes){ bRes=CVMGenTest::IntegrateCircle(3,0.0001); }
	if(bRes){ bRes=CVMGenTest::IntegrateCircle(4,0.001); }
	if(bRes){ bRes=CVMGenTest::IntegrateCircle(5,0.01); }
	return bRes;
}

bool CVMHepLibTests::TestPDF(CPDFLite* pdf) {
	return true;
}

bool CVMHepLibTests::TestTemp() {
	CVMHistLite h("cut",100,-2,2);
	for(int i=0; i<100; i++) {
		double x=h.GetBinXCenter(i);
		double y=1.;
		if(x>-1.){
			if(x<0) {
				y=1.-pow((1+x),8)/2;
			}else{
				y=1./pow((1+x),8)/2;
			}
		}
		h.Fill(x,y);
	}
	CVMHistLiteView vi(&h);
	vi.SaveAsEPS("temp.eps");
	vi.SetLogY();
	vi.SaveAsEPS("tempL.eps");
	return true;
}

#endif //#ifdef VM_HEP_LIB_FULL
